classdev
3
HAL Library

# classdev

## Synopsis

    enum        ClassDevOSSDeviceTypes;
    void        hotplug_event_begin_add_classdev
                                                (const gchar *subsystem,
                                                 const gchar *sysfs_path,
                                                 const gchar *device_file,
                                                 HalDevice *physdev,
                                                 const gchar *sysfs_path_in_devices,
                                                 void *end_token);
    void        hotplug_event_begin_remove_classdev
                                                (const gchar *subsystem,
                                                 const gchar *sysfs_path,
                                                 void *end_token);
    gboolean    classdev_rescan_device          (HalDevice *d);
    HotplugEvent* classdev_generate_add_hotplug_event
                                                (HalDevice *d);
    HotplugEvent* classdev_generate_remove_hotplug_event
                                                (HalDevice *d);

## Description

## Details

### enum ClassDevOSSDeviceTypes

    typedef enum {
    	OSS_DEVICE_TYPE_DSP,
    	OSS_DEVICE_TYPE_ADSP,
    	OSS_DEVICE_TYPE_MIDI,
    	OSS_DEVICE_TYPE_AMIDI,
    	OSS_DEVICE_TYPE_AUDIO,
    	OSS_DEVICE_TYPE_MIXER,
    	OSS_DEVICE_TYPE_UNKNOWN
    } ClassDevOSSDeviceTypes;

### hotplug_event_begin_add_classdev ()

    void        hotplug_event_begin_add_classdev
                                                (const gchar *subsystem,
                                                 const gchar *sysfs_path,
                                                 const gchar *device_file,
                                                 HalDevice *physdev,
                                                 const gchar *sysfs_path_in_devices,
                                                 void *end_token);

`subsystem` :

`sysfs_path` :

`device_file` :

`physdev` :

`sysfs_path_in_devices` :

`end_token` :

### hotplug_event_begin_remove_classdev ()

    void        hotplug_event_begin_remove_classdev
                                                (const gchar *subsystem,
                                                 const gchar *sysfs_path,
                                                 void *end_token);

`subsystem` :

`sysfs_path` :

`end_token` :

### classdev_rescan_device ()

    gboolean    classdev_rescan_device          (HalDevice *d);

`d` :

Returns :

### classdev_generate_add_hotplug_event ()

    HotplugEvent* classdev_generate_add_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :

### classdev_generate_remove_hotplug_event ()

    HotplugEvent* classdev_generate_remove_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :